/*********************************************************************/
/*                                                                   */
/*   Program Name :  timedisp                                        */
/*                                                                   */
/*      Version:  0.00  2001-08-16                                   */
/*                1.10  2002-06-04                                   */
/*                1.11  2005-09-28  support linux2.6                 */
/*                2.00  2005-12-20  support VSSP32                   */
/*                2.10  2007-02-23  revised to use common library    */
/*                2.11  2008-02-19  options '--help' and '--version' */
/*                                  were added                       */
/*                                                                   */
/*      Copyright (c) 2002-2008 T.Kondo/NICT All Right Reserved      */
/*                                                                   */
/*********************************************************************/
/*
    Display K5/VSSP or K5/VSSP32 on board time
         by T.Kondo 2001.8.16 
            Ver 2.11 2008.02.19

      How to run
          timedisp [period]
               where  period  -- display period (sec)
                                 default is 10 sec

*/
#define PROGRAM_VERSION "Ver. 2008-02-19"
#include "chead.h"      // common header for IP-VLBI utilities
#include "libipvlbi_board.h"  // library for IP-VLBI sampler board

int main(int argc, char **argv)
{
    int secmax;
    int i;

    if(argc == 2 && strncmp(*(argv+1),"--help",6)==0 ){ // 2008-02-19
       printf("\n timedisp (%s)\n",PROGRAM_VERSION);
#ifdef _VSSP32
       printf("  compiled for K5/VSSP32 unit\n");
#else
       printf("  compiled for K5/VSSP (IP-VLBI) board\n");
#endif
       printf("\n");
       printf(" How to run\n");
       printf("   timedisp [period]\n");
       printf("        where  period  -- display period (sec)\n");
       printf("                          default is 10 sec\n");
       printf("\n");
       exit(0);
    } 
    if(argc == 2 && strncmp(*(argv+1),"--ver",5)==0 ){ // 2008-02-19
       printf("\n timedisp (%s)\n",PROGRAM_VERSION);
#ifdef _VSSP32
       printf("  compiled for K5/VSSP32 unit\n");
#else
       printf("  compiled for K5/VSSP (IP-VLBI) board\n");
#endif
       printf("\n");
       exit(0);
    } 
       
    if(argc >= 2){
       secmax = atoi(*(argv + 1 ));
       if(secmax <= 0) {secmax=10;}
    } else {
       secmax=10;
    }

    printf("\n");
    
    i=board_time_disp(secmax);

    printf("\n\n");

}
